/***************************************************************************/
/** @file     about.cpp
  * @brief    The About tab page (implementation).
  *
  * @b begin      : Wed Dec 29 1999<br>
  * @b copyright  : &copy; 1999-2004 by Gordon Machel<br>
  * @b email      : gmachel@users.sourceforge.net
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  **************************************************************************/
#include <kapp.h>
#include <klocale.h>
#include <kiconloader.h>
#include <ktextbrowser.h>

#include <qlabel.h>
#include <qscrollview.h>
#include <qpushbutton.h>
#include <qframe.h>

#include "about.h"
#include "../config.h"

/*------------------------------------------------------------------------ */
About::About(QWidget *parent, const char *name) : AboutTmpl(parent,name)
{
const QString translator("<li><b>%1</b> (%2)</li>");
  
QString buffer = 
  i18n("This is <a href=\"http://ksetiwatch.sf.net\">Ksetiwatch</a> %1, developed by "
       "<a href=\"mailto:gmachel@users.sf.net\">Gordon Machel</a> "
       "(gmachel@users.sf.net).").arg(VERSION) +
  i18n("<p>Ksetiwatch monitors multiple "
       "<a href=\"http://setiathome.ssl.berkeley.edu/index.html\">SETI@home</a> "
       "instances running on your computer or in your network. It "
       "shares the same look-and-feel of the popular "
       "<a href=\"http://members.shaw.ca/mloukko/SETI.html\">SETIWatch</a> "
       "tool for the Windows platforms, written by Mark Loukko.</p>") +
  i18n("<p>To make full use of this program, the latest version of the SETI@home "
       "client is required. Command-line clients for various platforms "
       "can be found <a href=\"http://setiathome.ssl.berkeley.edu/unix.html\">here</a>.</p>") +
  i18n("<p>Ksetiwatch is published under the GNU Public License (GPL), version 2.</p>") +
  i18n("<p>Special thanks to <b>%1, %2, %3, %4,</b> and <b>%5</b> for providing precompiled "
       "packages for various Linux distributions.</p>")
       .arg("John Aldrich")
       .arg("Renaud Michel")
       .arg("Stephan Windischmann")
       .arg("Diego Iastrubni")
       .arg("Tom Harvey") +
  i18n("<p>Thanks to the work of the <a href=\"http://i18n.kde.org\">KDE translation teams</a>, "
       "Ksetiwatch has been translated to many different languages. Additional credits for "
       "translation work go to:</p>") +
  "<ul>" +
  translator.arg("Juan Manuel Garca Molina, Luis Bolinches Martinez").arg(i18n("Spanish")) +
  translator.arg("Marc").arg(i18n("German handbook")) +
  translator.arg("Vladimir Vuksan").arg(i18n("Croatian")) +
  "</ul>" +
  i18n("<p>The SETI@home logo was created by <b>%1</b>.</p>").arg("Brent Cox") +
  i18n("<p>Many thanks for helpful hints, patches, and suggestions are given to: ") +
       "Frode Tenneb, Christian Srensen, Kenny Lim, Hans Motshrg, Roeland Th. Jansen, "
       "Matthew Soffen, Peter Drumm, Stefan Pfeiffer, Hugues Talbot, Jan Knutar, Pelon, "
       "Dan Crooks, Xet Erixon, Kjell Randa, Albert Astals Cid.</p>";
infoBox->setText(buffer);

logoFrame->setPaletteBackgroundPixmap(UserIcon("setilogo.png"));
}

/*------------------------------------------------------------------------ */
About::~About()
{
}

/*------------------------------------------------------------------------ */
void About::slotShowHelp()
{
kapp->invokeHelp();
}

#include "about.moc"

