/***************************************************************************/
/** @file     about.h
  * @brief    The About tab page (declaration).
  *
  * @b begin      : Wed Dec 29 1999<br>
  * @b copyright  : &copy; 1999-2004 by Gordon Machel<br>
  * @b email      : gmachel@users.sourceforge.net
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  **************************************************************************/
#ifndef ABOUT_H
#define ABOUT_H

#include <abouttmpl.h>

/** The widget for the About tab page.
  */
class About : public AboutTmpl
{
Q_OBJECT

public:
  /** The constructor.
    *
    * @param parent The parent widget. If 0, this widget becomes a top-level widget.
    * @param name   A text that can be used to identify this widget.
    */
  About(QWidget *parent=0, const char *name=0);
  /** The destructor. */
  ~About();

protected slots:
  /** Invokes the Help window. */
  void slotShowHelp();
};

#endif
